Subject: [PATCH] virtio: Try to untangle DMA coherency

From: [email-masked] (Will Deacon)
Date: Thu, 2 Feb 2017 16:40:49 +0000

On Thu, Feb 02, 2017 at 06:30:28PM +0200, Michael S. Tsirkin wrote:
> I am inclined to say, for 4.10 let's revert
> c7070619f3408d9a0dffbed9149e6f00479cf43b since what it fixes is not a
> regression in 4.10.

No complaints there, as long as we can keep working to fix this for 4.11
and onwards. You'll also need to cc stable on the revert.

> So I think we can defer the fix to 4.11.
> I think we still want f7f6634d23830ff74335734fbdb28ea109c1f349
> for hosts with virtio 1 support.
> 
> All this will hopefully push hosts to just implement virtio 1.
> For mmio the changes are very small: several new registers,
> that's all. You want this for proper 64 bit dma mask anyway.

As I've said, virtio 1 will have exactly the same issue unless we start
requiring firmware to advertise dma-coherent/_CCA for virtio-mmio
devices correctly.

Will